| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdmaster.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_decomp_master

## Macros
#define | JPEG_INTERNALS

## Typedefs
typedef my_decomp_master * | my_master_ptr

## Functions
| use_merged_upsample (j_decompress_ptr cinfo)
| jpeg_calc_output_dimensions (j_decompress_ptr cinfo)
| prepare_range_limit_table (j_decompress_ptr cinfo)
| master_selection (j_decompress_ptr cinfo)
| prepare_for_output_pass (j_decompress_ptr cinfo)
| finish_output_pass (j_decompress_ptr cinfo)
| jpeg_new_colormap (j_decompress_ptr cinfo)
| jinit_master_decompress (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 14 of file jdmaster.c.

## Typedef Documentation

typedef my_decomp_master* my_master_ptr

Definition at line 35 of file jdmaster.c.

## Function Documentation

finish_output_pass | ( | j_decompress_ptr | cinfo | ) |

Definition at line 498 of file jdmaster.c.

jinit_master_decompress | ( | j_decompress_ptr | cinfo | ) |

Definition at line 543 of file jdmaster.c.

jpeg_calc_output_dimensions | ( | j_decompress_ptr | cinfo | ) |

Definition at line 84 of file jdmaster.c.

jpeg_new_colormap | ( | j_decompress_ptr | cinfo | ) |

Definition at line 515 of file jdmaster.c.

master_selection | ( | j_decompress_ptr | cinfo | ) |

Definition at line 288 of file jdmaster.c.

prepare_for_output_pass | ( | j_decompress_ptr | cinfo | ) |

Definition at line 438 of file jdmaster.c.

prepare_range_limit_table | ( | j_decompress_ptr | cinfo | ) |

Definition at line 248 of file jdmaster.c.

use_merged_upsample | ( | j_decompress_ptr | cinfo | ) |

Definition at line 44 of file jdmaster.c.